You are not logged in.

#1 2017-04-21 09:30:10

welly
Member
Registered: 2017-04-18
Posts: 5

 lib32-libmng  : invalid or corrupted package

I'm trying to install packet tracer and it have a missing dependencies lib32-qt4 and for install it i most install lib32-libmng package
first of all I was have a problem with the gpg signatures and it solved with  gpg --recv-keys
but now , wen I try to install the package I have an error

sudo pacman -U *xz                    1   master 
loading packages...
error: missing package metadata in libmng-2.0.3.tar.xz
error: 'libmng-2.0.3.tar.xz': invalid or corrupted package

Offline

#2 2017-04-21 10:14:12

Lone_Wolf
Member
From: Netherlands, Europe
Registered: 2005-10-04
Posts: 5,049

Re:  lib32-libmng  : invalid or corrupted package

Your post has several unreadable symbols for me, probably due to us using different locales .
Please prepend your commands with LC_ALL=C .

libmng is in extra, no need to install it with pacman -U .

what is the output of LC_ALL=C pacman -S libmng ?


Booting with apg Openrc, NOT systemd.
Automounting : not needed, i prefer pmount
Aur helpers : makepkg + my own local repo === rarely need them

Offline

#3 2017-04-21 11:04:15

welly
Member
Registered: 2017-04-18
Posts: 5

Re:  lib32-libmng  : invalid or corrupted package

sudo LC_ALL=C pacman -S libmng                                  1 
[sudo] password for wael:
warning: libmng-2.0.3-1 is up to date -- reinstalling
resolving dependencies...
looking for conflicting packages...

Packages (1) libmng-2.0.3-1

Total Download Size:   0.17 MiB
Total Installed Size:  0.72 MiB
Net Upgrade Size:      0.00 MiB

:: Proceed with installation? [Y/n] y
:: Retrieving packages...
libmng-2.0.3-1-x86_64    169.4 KiB  14.8K/s 00:11 [######################] 100%
(1/1) checking keys in keyring                     [######################] 100%
(1/1) checking package integrity                   [######################] 100%
(1/1) loading package files                        [######################] 100%
(1/1) checking for file conflicts                  [######################] 100%
:: Processing package changes...
(1/1) reinstalling libmng                          [######################] 100%

Offline

#4 2017-04-21 11:06:30

welly
Member
Registered: 2017-04-18
Posts: 5

Re:  lib32-libmng  : invalid or corrupted package

but still when I try to install lib32-qt4

makepkg -s                                    master 
==> Making package: lib32-qt4 4.8.7-10 (ج أبر 21 14:02:03 EAT 2017)
==> Checking runtime dependencies...
==> Installing missing dependencies...
[sudo] password for wael:
error: target not found: lib32-libmng
==> ERROR: 'pacman' failed to install missing dependencies.

Offline

#5 2017-04-21 11:53:13

Lone_Wolf
Member
From: Netherlands, Europe
Registered: 2005-10-04
Posts: 5,049

Re:  lib32-libmng  : invalid or corrupted package

build & install lib32-libmng first, then try again with lib32-qt4 .

------------------
it looks like the symbols i couldn't see are not in the real text output, but somehow added to the actual text when you c/p .

Each of your 3 posts has additonial symbols at the right of the first line, see below .
It's a minor issue , but very annoying.

sudo pacman -U *xz                    1   master 
sudo LC_ALL=C pacman -S libmng                                  1 
makepkg -s                                    master 

Booting with apg Openrc, NOT systemd.
Automounting : not needed, i prefer pmount
Aur helpers : makepkg + my own local repo === rarely need them

Offline

#6 2017-04-21 11:53:35

WorMzy
Forum Moderator
From: Scotland
Registered: 2010-06-16
Posts: 6,681
Website

Re:  lib32-libmng  : invalid or corrupted package

You were trying to install the wrong file. libmng-2.0.3.tar.xz is a source archive, not a package. You should have a file with a name like 'lib32-libmng-2.0.3-1-x86_64.pkg.tar.xz', install that with pacman -U, then try building lib32-qt4.


Sakura:-
Mobo: ASUS P8Z77-V PRO // Processor: Intel Core i7-3770K 3.4GHz // GFX: nVidia GeForce GTX 970 Ti // RAM: 32GB (4x 8GB) Corsair DDR3 (@ 2133MHz) // Storage: 1x 3TB Seagate SATAII 5x 1TB Samsung SATAII, 2x 120GB Corsair SSD

Making lemonade from lemons since 2015.

Offline

#7 2017-04-21 12:12:15

phw
Member
Registered: 2013-05-27
Posts: 213

Re:  lib32-libmng  : invalid or corrupted package

Lone_Wolf wrote:

Each of your 3 posts has additonial symbols at the right of the first line, see below .
It's a minor issue , but very annoying.

sudo pacman -U *xz                    1   master 
sudo LC_ALL=C pacman -S libmng                                  1 
makepkg -s                                    master 

Off topic but I think welly uses a right hand prompt in zsh, and he has configured it to display special symbols (likely with a very special font in use).

Offline

#8 2017-04-21 13:27:24

welly
Member
Registered: 2017-04-18
Posts: 5

Re:  lib32-libmng  : invalid or corrupted package

well , thanks alots
that part of the problem is solved
but I have a another problem with install lib32-qt4

lib32-qt4  makepkg -s                                    master 
==> Making package: lib32-qt4 4.8.7-10 (ج أبر 21 16:07:54 EAT 2017)
==> Checking runtime dependencies...
==> Installing missing dependencies...
[sudo] password for wael:
resolving dependencies...
looking for conflicting packages...

Packages (3) lib32-libxv-1.0.11-1  lib32-openssl-1:1.0.2.k-1
             lib32-sqlite-3.17.0-1

Total Download Size:   1.38 MiB
Total Installed Size:  4.03 MiB

:: Proceed with installation? [Y/n] y
:: Retrieving packages...
lib32-libxv-1.0.11-...     9.2 KiB  36.1K/s 00:00 [######################] 100%
error: failed retrieving file 'lib32-openssl-1:1.0.2.k-1-x86_64.pkg.tar.xz' from ftp.sh.cvut.cz : Operation too slow. Less than 1 bytes/sec transferred the last 10 seconds
lib32-openssl-1:1.0...   383.4 KiB  12.3K/s 00:31 [######################] 100%
lib32-sqlite-3.17.0...   414.5 KiB  8.53K/s 00:49 [######################] 100%
(3/3) checking keys in keyring                     [######################] 100%
(3/3) checking package integrity                   [######################] 100%
(3/3) loading package files                        [######################] 100%
(3/3) checking for file conflicts                  [######################] 100%
:: Processing package changes...
(1/3) installing lib32-libxv                       [######################] 100%
(2/3) installing lib32-openssl                     [######################] 100%
Optional dependencies for lib32-openssl
    ca-certificates [installed]
(3/3) installing lib32-sqlite                      [######################] 100%
==> Checking buildtime dependencies...
==> Installing missing dependencies...
resolving dependencies...
looking for conflicting packages...

Packages (21) lib32-atk-2.22+1+gd57f97d-1  lib32-cairo-1.14.6-2
              lib32-e2fsprogs-1.43.4-1  lib32-gdk-pixbuf2-2.36.2-2
              lib32-gmp-6.1.1-1  lib32-gnutls-3.4.15-1  lib32-keyutils-1.5.9-1
              lib32-krb5-1.13.7-1  lib32-libdatrie-0.2.10-1
              lib32-libldap-2.4.44-1  lib32-libtasn1-4.10-1
              lib32-libthai-0.1.26-1  lib32-libxcomposite-0.4.4-2
              lib32-libxft-2.3.2-1  lib32-libxinerama-1.1.3-1
              lib32-nettle-3.3-1  lib32-p11-kit-0.23.2-1  lib32-pango-1.40.3-1
              lib32-pixman-0.34.0-1  lib32-gtk2-2.24.30-1
              lib32-libcups-2.2.1-1

Total Download Size:    5.66 MiB
Total Installed Size:  18.06 MiB

:: Proceed with installation? [Y/n] yy
==> ERROR: 'pacman' failed to install missing dependencies.

Offline

#9 2017-04-21 13:34:52

WorMzy
Forum Moderator
From: Scotland
Registered: 2010-06-16
Posts: 6,681
Website

Re:  lib32-libmng  : invalid or corrupted package

Please use code tags, not quote tags, for output, it preserves the formatting and improves readability.

I'm not sure why pacman failed to install dependencies, but it may be because you answered "yy". Try again, but answer the prompt with just "y".

Last edited by WorMzy (2017-04-21 13:35:26)


Sakura:-
Mobo: ASUS P8Z77-V PRO // Processor: Intel Core i7-3770K 3.4GHz // GFX: nVidia GeForce GTX 970 Ti // RAM: 32GB (4x 8GB) Corsair DDR3 (@ 2133MHz) // Storage: 1x 3TB Seagate SATAII 5x 1TB Samsung SATAII, 2x 120GB Corsair SSD

Making lemonade from lemons since 2015.

Offline

#10 2017-04-21 13:52:07

welly
Member
Registered: 2017-04-18
Posts: 5

Re:  lib32-libmng  : invalid or corrupted package

WorMzy wrote:

Please use code tags, not quote tags, for output, it preserves the formatting and improves readability.

I'm not sure why pacman failed to install dependencies, but it may be because you answered "yy". Try again, but answer the prompt with just "y".

well , this is embarrassing yikes I haven't notice it
thanks alots smile

Offline

Board footer

Powered by FluxBB